Index: tmp/org.txm.rcp/rcpapplication.product
===================================================================
--- tmp/org.txm.rcp/rcpapplication.product	(revision 1573)
+++ tmp/org.txm.rcp/rcpapplication.product	(revision 1574)
@@ -78,7 +78,6 @@
       </win>
    </launcher>
 
-
    <vm>
       <linux include="false">org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7</linux>
       <macos include="false">org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7</macos>
@@ -90,7 +89,7 @@
         <text>
    &lt;TXM Software User Agreement&gt;
 
-TXM 0.8.0 Copyright © 2010-2018 ENS de Lyon, University of Franche-Comté, CNRS
+TXM 0.8.0 Copyright © 2010-2019 ENS de Lyon, University of Franche-Comté, CNRS
 
 &lt;English version below&gt;
 
Index: tmp/org.txm.treetagger.core/src/org/txm/treetagger/core/preferences/TreeTaggerPreferences.java
===================================================================
--- tmp/org.txm.treetagger.core/src/org/txm/treetagger/core/preferences/TreeTaggerPreferences.java	(revision 1573)
+++ tmp/org.txm.treetagger.core/src/org/txm/treetagger/core/preferences/TreeTaggerPreferences.java	(revision 1574)
@@ -3,14 +3,17 @@
 
 import java.io.BufferedReader;
 import java.io.File;
+import java.io.IOException;
 import java.net.MalformedURLException;
 import java.net.URL;
 import java.util.Properties;
 
 import org.osgi.framework.Version;
 import org.osgi.service.prefs.Preferences;
+import org.txm.Toolbox;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.utils.BundleUtils;
+import org.txm.utils.io.FileCopy;
 import org.txm.utils.io.IOUtils;
 import org.txm.utils.logger.Log;
 
@@ -157,8 +160,7 @@
 		Version binariesFragmentVersion = BundleUtils.getBundleVersion(bfragmentid);
 		if (binariesFragmentVersion != null && binariesFragmentVersion.compareTo(currentBVersion) >= 0) { // udpate binaries path !
 			Log.fine("Updating TreeTagger binaries path...");
-			String path = BundleUtils.getBundleLocation(bfragmentid);
-			if (path.startsWith("file:")) path = path.substring(5);
+			File path = BundleUtils.getBundleFile(bfragmentid);
 			File binariesDir = new File(path, "res/"+osname);
 			new File(binariesDir, "bin/separate-punctuation").setExecutable(true); // linux&mac
 			new File(binariesDir, "bin/tree-tagger").setExecutable(true); // linux&mac
@@ -171,12 +173,20 @@
 		Version modelsFragmentVersion = BundleUtils.getBundleVersion(mfragmentid);
 		if (modelsFragmentVersion != null && modelsFragmentVersion.compareTo(currentMVersion) >= 0) { // udpate models path!
 			Log.fine("Updating TreeTagger models path...");
-			String path = BundleUtils.getBundleLocation(mfragmentid);
-			if (path.startsWith("file:")) path = path.substring(5);
-			File modelsDir = new File(path, "res/models");
-			preferences.put(MODELS_PATH, modelsDir.getAbsolutePath()); //$NON-NLS-1$
-			TreeTaggerPreferences.getInstance().put(INSTALLED_MODELS_VERSION, modelsFragmentVersion.toString());
-			Log.fine("Done.");
+			File path = BundleUtils.getBundleFile(mfragmentid);
+			
+			File installModelsDir = new File(path, "res/models");
+			File modelsDir = new File(Toolbox.getTxmHomePath(), "treetagger-models");
+			modelsDir.mkdirs();
+			try {
+				FileCopy.copyFiles(installModelsDir, modelsDir);
+				preferences.put(MODELS_PATH, modelsDir.getAbsolutePath()); //$NON-NLS-1$
+				TreeTaggerPreferences.getInstance().put(INSTALLED_MODELS_VERSION, modelsFragmentVersion.toString());
+				Log.fine("Done.");
+			} catch (IOException e) {
+				// TODO Auto-generated catch block
+				e.printStackTrace();
+			}
 		}
 	}
 }
Index: tmp/TXMReleasePlugins.site/site.xml
===================================================================
--- tmp/TXMReleasePlugins.site/site.xml	(revision 1573)
+++ tmp/TXMReleasePlugins.site/site.xml	(revision 1574)
@@ -3,22 +3,22 @@
    <description name="TXM Extensions - RELEASE" url="http://txm.textometrie.org/updates/plugins">
       This update site contains the Release plugins for TXM
    </description>
-   <feature url="features/org.txm.backtomedia.feature_1.0.0.1452.jar" id="org.txm.backtomedia.feature" version="1.0.0.1452">
+   <feature url="features/org.txm.backtomedia.feature_1.0.0.1553.jar" id="org.txm.backtomedia.feature" version="1.0.0.1553">
       <category name="Commands"/>
    </feature>
-   <feature url="features/org.txm.wordcloud.feature_1.0.0.1452.jar" id="org.txm.wordcloud.feature" version="1.0.0.1452">
+   <feature url="features/org.txm.wordcloud.feature_1.0.0.1553.jar" id="org.txm.wordcloud.feature" version="1.0.0.1553">
       <category name="Commands"/>
    </feature>
-   <feature url="features/org.txm.rcp.feature_0.8.0.1452.jar" id="org.txm.rcp.feature" version="0.8.0.1452">
+   <feature url="features/org.txm.rcp.feature_0.8.0.1553.jar" id="org.txm.rcp.feature" version="0.8.0.1553">
       <category name="org.txm.platform"/>
    </feature>
-   <feature url="features/org.txm.treetagger.binaries.feature_1.0.0.1452.jar" id="org.txm.treetagger.binaries.feature" version="1.0.0.1452">
+   <feature url="features/org.txm.treetagger.binaries.feature_1.0.0.1558.jar" id="org.txm.treetagger.binaries.feature" version="1.0.0.1558">
       <category name="TreeTagger"/>
    </feature>
-   <feature url="features/org.txm.treetagger.models.feature_1.0.0.1452.jar" id="org.txm.treetagger.models.feature" version="1.0.0.1452">
+   <feature url="features/org.txm.treetagger.models.feature_1.0.0.1553.jar" id="org.txm.treetagger.models.feature" version="1.0.0.1553">
       <category name="TreeTagger"/>
    </feature>
-   <feature url="features/org.txm.textsbalance.feature_1.0.0.1452.jar" id="org.txm.textsbalance.feature" version="1.0.0.1452">
+   <feature url="features/org.txm.textsbalance.feature_1.0.0.1553.jar" id="org.txm.textsbalance.feature" version="1.0.0.1553">
       <category name="Commands"/>
    </feature>
    <category-def name="Commands" label="Commands"/>
Index: tmp/org.txm.utils/src/org/txm/utils/io/FileCopy.java
===================================================================
--- tmp/org.txm.utils/src/org/txm/utils/io/FileCopy.java	(revision 1573)
+++ tmp/org.txm.utils/src/org/txm/utils/io/FileCopy.java	(revision 1574)
@@ -134,6 +134,18 @@
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 */
 	public static void copyFiles(File src, File dest) throws IOException {
+		copyFiles(src, dest, true);
+	}
+	
+	/**
+	 * Copy files. Don't erase the destination directory and replace files if they already exists
+	 *
+	 * @param src the src directory
+	 * @param dest the dest directory
+	 * @param replace replace files if true
+	 * @throws IOException Signals that an I/O exception has occurred.
+	 */
+	public static void copyFiles(File src, File dest, boolean replace) throws IOException {
 
 		// Check to ensure that the source is valid...
 		if (!src.exists()) {
@@ -168,7 +180,7 @@
 			}
 		} else {
 			// This was not a directory, so lets just copy the file
-			copy(src, dest);
+			copy(src, dest, replace);
 		}
 	}
 
